Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
hooks
/
{id}
/
secrets
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Hooks.Secrets.Update(
        context.TODO(),
        "id",
        map[string]interface{}{
            "key": "value",
        },
    )
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the hook whose secrets to update.

Pattern: ^[A-Za-z0-9-]*$

Body

Hashmap of key-value pairs where the value must be a string.

{key}
string

Response

Hook secrets successfully updated.